GET api/Lms/ScheduleDate?startDate={startDate}&endDate={endDate}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
startDate

string

None.

endDate

string

None.

Body Parameters

None.

Response Information

Resource Description

Collection of Schedule
NameDescriptionTypeAdditional information
memberId

string

None.

lmsScheduleID

string

None.

studyTime

string

None.

agencyCode

string

None.

productCode

string

None.

Response Formats

application/json, text/json

Sample:
[
  {
    "memberId": "sample string 1",
    "lmsScheduleID": "sample string 2",
    "studyTime": "sample string 3",
    "agencyCode": "sample string 4",
    "productCode": "sample string 5"
  },
  {
    "memberId": "sample string 1",
    "lmsScheduleID": "sample string 2",
    "studyTime": "sample string 3",
    "agencyCode": "sample string 4",
    "productCode": "sample string 5"
  }
]

application/xml, text/xml

Sample:
<ArrayOfSchedule xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Masterclub.API.Controllers">
  <Schedule>
    <agencyCode>sample string 4</agencyCode>
    <lmsScheduleID>sample string 2</lmsScheduleID>
    <memberId>sample string 1</memberId>
    <productCode>sample string 5</productCode>
    <studyTime>sample string 3</studyTime>
  </Schedule>
  <Schedule>
    <agencyCode>sample string 4</agencyCode>
    <lmsScheduleID>sample string 2</lmsScheduleID>
    <memberId>sample string 1</memberId>
    <productCode>sample string 5</productCode>
    <studyTime>sample string 3</studyTime>
  </Schedule>
</ArrayOfSchedule>